Author Topic: Issues with iplayer, 4od, ITVplayer - flash?  (Read 1848 times)

purps

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1384
  • If it ain't broke, tweak it
    • View Profile
Issues with iplayer, 4od, ITVplayer - flash?
« on: June 09, 2010, 10:37:20 am »
Hi all, having a slight problem with my MD (ion atom) I was hoping someone could help me out with...

iplayer - sounds works, but very jerky (unwatchable)
4od - sounds works, but quite jerky (watchable... but you wouldn't want to!)
ITVplayer - sound works, but no picture at all (black square in browser)
youtube - sound and video work perfectly as far as I can tell.

I assumed it was a flash problem, but the fact that youtube is working threw me! Is this a known issue?

Anyway, I tried doing a "sudo apt-get install flashplugin-nonfree" on the MD (as this had got flash working on other desktips/laptops), but it had dependancy issues. So I did a "sudo apt-get -f install" which usually works, but it didn't like that at all, and left me back at the prompt (can't remember what it said exactly, I am at work now, but something about the core, core dump perhaps?)

Any help would be much appreciated, cheers.
1004 RC :: looking good :: upgraded 01/04/2013
my setup :: http://wiki.linuxmce.org/index.php/User:Purps

totallymaxed

  • LinuxMCE God
  • ****
  • Posts: 4428
  • Smart Home Consulting
    • View Profile
    • Dianemo - at home with technology
Re: Issues with iplayer, 4od, ITVplayer - flash?
« Reply #1 on: June 09, 2010, 11:12:16 am »
Hi all, having a slight problem with my MD (ion atom) I was hoping someone could help me out with...

iplayer - sounds works, but very jerky (unwatchable)
4od - sounds works, but quite jerky (watchable... but you wouldn't want to!)
ITVplayer - sound works, but no picture at all (black square in browser)
youtube - sound and video work perfectly as far as I can tell.

I assumed it was a flash problem, but the fact that youtube is working threw me! Is this a known issue?

Anyway, I tried doing a "sudo apt-get install flashplugin-nonfree" on the MD (as this had got flash working on other desktips/laptops), but it had dependancy issues. So I did a "sudo apt-get -f install" which usually works, but it didn't like that at all, and left me back at the prompt (can't remember what it said exactly, I am at work now, but something about the core, core dump perhaps?)

Any help would be much appreciated, cheers.

The problem is flash on the Atom/Ion machines taxes the processor pretty heavily and until Adobe release Flash 10.1 with GPU acceleration enabled for Linux/nVidia that situation will not change. All of those sites use Flash of course but they all encode their video content differently and in ITV's case they have a lot of javascript code in their pages which could be causing the blank screen problem (thats just a guess though).

All the best


Andrew
Andy Herron,
Convergent Home Technologies Ltd
United Kingdom

Read My Blog; http://ellipticalcurve.com

Contact me for Smart Home consulting advice here;
@herron on Twitter, totallymaxed+consulting@gmail.com via email or PM me here.

Get a Dianemo S License: http://forum.linuxmce.org/index.php?topic=8880.0
iOS Orbiter: http://wiki.linuxmce.org/index.php/Dianemo_iOS_Orbiter
Follow us on Facebook: https://www.facebook.com/pages/Dianemo-Home-Automation/226019387454465

Sales & Info:
http://www.dianemo.co.uk

purps

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1384
  • If it ain't broke, tweak it
    • View Profile
Re: Issues with iplayer, 4od, ITVplayer - flash?
« Reply #2 on: June 09, 2010, 11:46:38 am »
Thanks for the fast reply.

Sh*t. So that's that then until the new flash comes out? Is there nothing that I can try in the meantime?
1004 RC :: looking good :: upgraded 01/04/2013
my setup :: http://wiki.linuxmce.org/index.php/User:Purps

purps

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1384
  • If it ain't broke, tweak it
    • View Profile
Re: Issues with iplayer, 4od, ITVplayer - flash?
« Reply #3 on: June 27, 2010, 10:53:19 pm »
Right, I've apt-get removed flashplugin-nonfree, installed the new 10.1 from here http://get.adobe.com/flashplayer/, ensured that 10.1 is enabled in the plug-ins menu in Firefox, restarted..... and the result is very similar to before :(

Is there something else I need to do to get vdpau doing its thing? Or are there any other tweaks that I might be able to try?

Any help would be very much appreciated, this one is really annoying me!!
1004 RC :: looking good :: upgraded 01/04/2013
my setup :: http://wiki.linuxmce.org/index.php/User:Purps